<?php 
@session_start();
if (isset($_SESSION['usuario'])){

$ModCaptura = $_GET['Mod'];    
if($ModCaptura == ''){
    $ModCaptura = 0;
}

$cta = $_GET['cta'];    
if($cta == ''){
    $cta = 1;
}

    
date_default_timezone_set("America/Mexico_City");
include('servicio.php');
	//echo $servicedini.":".$rutadini.$empresadini."", $usuariodini, $basedecode;
	$conn=ibase_connect($servicedini.":".$rutadini.$empresadini."", $usuariodini, $basedecode);
    if (!$conn)
    {
		session_destroy();
	echo "<div class='contenido' align='center'><div class='titulodos'> Acceso Denegado!<br/>
			<form action='index.php' method='post'>
				<button type='submit' class='boton'>Regresar</button>
				
			</form>
	</div></div>";
        exit; 
    
    }
	
 $queryPre="SELECT NOMBRE, VALOR FROM MGETIQ_PREFER WHERE NOMBRE = 'Precios';";
    $resultPre=ibase_query($conn,$queryPre);
    if (!$resultPre) {
    echo "no se puede mostrar datos desde la consulta: $queryPre!";
    exit;
    }
$queryExi="SELECT NOMBRE, VALOR FROM MGETIQ_PREFER WHERE NOMBRE = 'Existencias';";
    $resultExi=ibase_query($conn,$queryExi);
    if (!$resultExi) {
    echo "no se puede mostrar datos desde la consulta: $queryExi!";
    exit;
    }
$queryImp="SELECT NOMBRE, VALOR FROM MGETIQ_PREFER WHERE NOMBRE = 'PrecioConImpto';";
    $resultImp=ibase_query($conn,$queryImp);
    if (!$resultImp) {
    echo "no se puede mostrar datos desde la consulta: $queryImp!";
    exit;
    }	
	
	
if ($_GET['articulo'] != '')	{
$IdArticulo ="SELECT ARTICULO_ID FROM CLAVEs_ARTICULOS WHERE CLAVE_ARTICULO = '".$_GET['articulo']."';";
$resp=ibase_query($conn,$IdArticulo);
					if (!$resp) {
					echo "no se puede mostrar datos desde la consulta: $IdArticulo!";
					exit;
				  }	   
				  
				  while ($results = ibase_fetch_object ($resp)) {  
					$ValorID = $results->ARTICULO_ID;
				} 
					if ($ValorID > 0){
							$ClienteEve="SELECT VALOR FROM REGISTRY WHERE NOMBRE = 'CLIENTE_EVENTUAL_PV_ID';";
							$resultClie=ibase_query($conn,$ClienteEve);
							if (!$resultClie) {
								echo "no se puede mostrar datos desde la consulta: $resultClie!";
								exit;
							 }   
							 while ($rowClie = ibase_fetch_object ($resultClie)) {  
												$IdCliente = $rowClie->VALOR;
											} 
								
							$fecha = date("Y/m/d");
							$hora =  date("H:i:s");
							$consulta = "SELECT PRECIO_UNITARIO,NOMBRE_PRECIO,DESCUENTO,FUE_TOPADO,DESCUENTO_CLI,DESCUENTO_VOL,DESCUENTO_PROMO "
                                                                   ." FROM MGETIQ_GET_DSCTO_ART(".$IdCliente.", ".$ValorID.",'".$fecha."', '".$hora ."', 1)";
                                                        //echo $consulta;
							$result3=ibase_query($conn,$consulta);
							if (!$result3){
								 echo ibase_errmsg();
							}
							while ($des = ibase_fetch_object($result3)){
                                                                $descuento = $des->DESCUENTO;
								$topado = $des->FUE_TOPADO;
								$des_cliente = $des->DESCUENTO_CLI;
								$des_vol = $des->DESCUENTO_VOL;
								$des_promo = $des->DESCUENTO_PROMO;
							}
                                                       
					}
}
	 
?>

    <?php  
        while ($rowPre = ibase_fetch_object ($resultPre)) {  
		$valorPre =$rowPre->VALOR;
	} 
	while ($rowExi = ibase_fetch_object ($resultExi)) {  
		$valorExi =$rowExi->VALOR;
	} 
	while ($rowImp = ibase_fetch_object ($resultImp)) {  
		$valorImp =$rowImp->VALOR;
	} 		
    ?>
    <?php 
        $PorcDesc = number_format($des_promo,0);
	$RestaDesc = 100 - $PorcDesc;	
    ?>    
<!--
<!DOCTYPE html>
<html lang="es" id="pagina">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <link rel="shortcut icon" href="favicon.ico">
  <title>Articulo </title>
</head>
-->
<?php include 'encabezado.php'; ?>
<!-- 
<link rel="stylesheet" href="css/style.css">
-->
<script src="//code.jquery.com/jquery-1.10.2.js"></script>
  <script src="//code.jquery.com/ui/1.11.2/jquery-ui.js"></script>
  <script type="text/javascript" src="js/script.js"></script>
   <script type="text/javascript">

  function setfocus(valor)

  {

  document.getElementById(valor).select();

  document.getElementById(valor).focus();

  }

  </script>



<!--<div><img src="img/Encabezado.PNG" class="banner"></div>-->

<section class="content-header">
      <h1>
        Registro
        <small>Búsqueda de artículos</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="#" onClick="index();"><i class="fa fa-home"></i> Inicio</a></li>
      </ol>
</section>  
<section class="content">
    <!-- ventana de descuentos -->
    <div class="modal fade" id="modal-default" onclick="setfocus('arti');" >
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                  <button type="button" class="close" onclick="setfocus('arti');" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                  <h4 class="modal-title"><i class="fa fa-sort-amount-desc"></i>Descuentos</h4>
              </div>
              <div class="modal-body">
                <div class="box-body table-responsive no-padding">  
                 <div id="formulario_edicion"></div>  
                </div>   
              </div>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
        </div>
        <!-- /.modal -->
    
    <div class="row">   
        <div class="col-xs-12">
        <div class="box box-info">
         
         <div class="box-body">

             <div class="col-xs-12" align="center">
              <a class="btn btn-app" id="nuevo" value="Nuevo" onClick="nuevo();" >
                  <i class="fa fa-clipboard"></i> Nuevo
              </a>
              <a class="btn btn-app" value="Descuentos" onClick="Descuentos('arti','articuloIDp'); AbrirPopUp();">
                 <i class="fa fa-sort-amount-desc"></i> Descuentos
              </a>
              <a class="btn btn-app" value="Registrar" onClick="Guardar();">
                  <i class="fa fa-save"></i> Registrar
              </a> 
            </div>     
             <br/>
         
         </div>
         
        </div>
        </div>    
    </div>
        
    <!-- botones acceso rapido collapsed-box -->    
    <div class="row" >   
        <div class="col-xs-12" align="center">
        <div class="box box-warning">
         <div class="box-header with-border">
              <h3 class="box-title">Datos iniciales</h3>

              <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                </button>
                
              </div>
            </div>
         <div class="box-body" align="center" >
             
            <div class="col-lg-2" align="center" style="float: none;" >
                <a onclick="Modalidad('0');" id="uv" class="btn btn-app">
                   <i class="fa fa-barcode"></i> Modo r&aacute;pido
                </a>
                
                <a onclick="Modalidad('1');" id="uv" class="btn btn-app">
                   <i class="fa fa-barcode"></i> Modo unidades
                </a>
                
                <?php if ($ModCaptura == '1'){ ?>  
                <div class="input-group margin">
                    <div  class="input-group-btn"> 
                        <button type="button" id="b_resta" onclick="Resta('conteo2');" style="display:block;" class="btn btn-info">-</button>
                    </div>      
                        <input class="form-control" type="text" value="<?php echo $cta;?>" name="conteo2" style="text-align: center;" id="conteo2" />
                    <div class="input-group-btn">
                        <button type="button" id="b_suma" onclick="Suma('conteo2');" style="display:block;" class="btn btn-info">+</button>
                    </div>
                </div>
                <?php } else { ?> 
                    <input class="form-control" type="text" value="<?php echo $cta;?>" name="conteo2" onKeyPress="return number(event)" style="text-align: center;" id="conteo2" /> 
                <?php } ?>  
            </div>     
             
            
         </div>
         
        </div>
        </div> 
        
        
    </div>
    
    <input class="form-control" type="hidden" value="<?php echo $ModCaptura;?>" name="valModCaptura" style="text-align: center;" id="valModCaptura" /> 
    
    <!-- Inicia tabla -->
    <div class="row">
        <div class="col-xs-12">
          <div class="box box-success">
            <div class="box-header">
              <h3 class="box-title">Lista de precios</h3>

              <div class="box-tools">
                <div class="input-group input-group-sm" style="width: 150px;">
                  <input type="text" 
                         onClick="seleccionar(this)"  
                         maxlength="20" 
                         name="arti" 
                         value="<?php echo $_GET['articulo'];?>"  
                         onKeyPress="checkKey(event)"  
                         id="arti" 
                         class="form-control pull-right" 
                         placeholder="Buscar artículo...">
                  <div class="input-group-btn">
                    <button type="submit" value="Buscar" onClick="ArticuloC('arti', 'valModCaptura');" class="btn btn-default"><i class="fa fa-search"></i></button>
                  </div>
                </div>
              </div>
            </div>
            <!-- /.box-header -->
  
<?php if($valorPre == 'S' ||$valorExi=='S') { ?>
    <?php if($valorPre  == 'S'){ ?>
		
         <div class="box-body table-responsive no-padding">
              <table class="table table-hover">
                
		<?php 
		   $variablephp = $_GET['articulo'];
		   if($variablephp != ''){
			   
                        $query0="SELECT PRECIO_EMPRESA_ID FROM MGETIQ_PRECIOS_EMPRESA;";
					$result0=ibase_query($conn,$query0);
					if (!$result0) {
					echo "no se puede mostrar datos desde la consulta: $query0!";
					exit;
			}	   
                        while ($row0 = ibase_fetch_object ($result0)) {  
                            $PrecioEmp[] =$row0->PRECIO_EMPRESA_ID;
			} 
			   
			if($PrecioEmp[0] == ''){
				$PreEmp1 = 0;
				}else{
					$PreEmp1 = $PrecioEmp[0];
					}	   
			   
			if($PrecioEmp[1] == ''){
				$PreEmp2 = 0;
				}else{
					$PreEmp2 = $PrecioEmp[1];
					}	   
			  if($PrecioEmp[2] == ''){
				$PreEmp3 = 0;
				}else{
					$PreEmp3 = $PrecioEmp[2];
					}	
			   
			  if($PrecioEmp[3] == ''){
				$PreEmp4 = 0;
				}else{
					$PreEmp4 = $PrecioEmp[3];
					}	
			
			if($PrecioEmp[4] == ''){
				$PreEmp5 = 0;
			}else{
					$PreEmp5 = $PrecioEmp[4];
					}	
					
					
		 $query2="SELECT B.ARTICULO_ID, B.PRECIO1, B.PRECIO2, B.PRECIO3, B.PRECIO4, 
                                 B.SIMBOLO1, B.SIMBOLO2, B.SIMBOLO3, B.SIMBOLO4, B.SIMBOLO5, 
                                 B.PRECIO5,C.NOMBRE NOMBRE1,D.NOMBRE NOMBRE2,E.NOMBRE NOMBRE3,
                                 F.NOMBRE NOMBRE4,G.NOMBRE NOMBRE5
                          FROM CLAVES_ARTICULOS A
			  LEFT JOIN PRECIOS_ART(A.ARTICULO_ID, '".$valorImp."', ".$PreEmp1.",".$PreEmp2.",".$PreEmp3.",".$PreEmp4.",".$PreEmp5.") B ON (A.ARTICULO_ID = B.ARTICULO_ID)
			  LEFT JOIN PRECIOS_EMPRESA C ON ( C.PRECIO_EMPRESA_ID = ".$PreEmp1." )
			  LEFT JOIN PRECIOS_EMPRESA D ON ( D.PRECIO_EMPRESA_ID = ".$PreEmp2." )
			  LEFT JOIN PRECIOS_EMPRESA E ON ( E.PRECIO_EMPRESA_ID = ".$PreEmp3." )
			  LEFT JOIN PRECIOS_EMPRESA F ON ( F.PRECIO_EMPRESA_ID = ".$PreEmp4." )
			  LEFT JOIN PRECIOS_EMPRESA G ON ( G.PRECIO_EMPRESA_ID = ".$PreEmp5." )
			  WHERE A.CLAVE_ARTICULO = '".$variablephp."';";
		$result2=ibase_query($conn,$query2);
		if (!$result2) {
			echo "no se puede mostrar datos desde la consulta: $query2!";
                        exit;
		} 
				
				//echo'<table align="right" width="100%">';
				if($PorcDesc > 0){	
				while ($row2 = ibase_fetch_object ($result2)) {  
					
					if($row2->PRECIO1 <= 0){
						$precio1 = '<input type="hidden" value=""/>';  
						}else{
							$formato1 = $row2->PRECIO1;
							$Calculo1 = ($formato1 * $RestaDesc) / 100;
							$precio1 ='<tr><td>'.utf8_encode ($row2->NOMBRE1).':</td>
							<td><input style="text-align:right;" readonly type="text" size="10" value="'.$formato1 = number_format($row2->PRECIO1,2).'"/>
						</td><td><input id="1" style="text-align:right;" readonly type="text" size="10" value="'.number_format($Calculo1,2).'"/></td><td>'.$row2->SIMBOLO1.'</td></tr>';
							}
							
					if($row2->PRECIO2 <= 0){
						$precio2 = '<input type="hidden" value=""/>';  
						}else{
							$formato2 = $row2->PRECIO2;
							$Calculo2 = ($formato2 * $RestaDesc) / 100;
							$precio2 ='<tr><td>'.utf8_encode ($row2->NOMBRE2).':</td>
							<td><input style="text-align:right;" readonly type="text" size="10" value="'.$formato2 = number_format($row2->PRECIO2,2).'"/>
						</td><td><input id="2" style="text-align:right;" readonly type="text" size="10" value="'.number_format($Calculo2,2).'"/></td><td>'.$row2->SIMBOLO2.'</td></tr>';
							}
					
					if($row2->PRECIO3 <= 0){
						$precio3 = '<input type="hidden" value=""/>';  
						}else{
							$formato3 = $row2->PRECIO3;
							$Calculo3 = ($formato3 * $RestaDesc) / 100;
							$precio3 ='<tr><td>'.utf8_encode ($row2->NOMBRE3).':</td>
							<td><input style="text-align:right;" readonly type="text" size="10" value="'.$formato3 = number_format($row2->PRECIO3,2).'"/>
						</td><td><input id="3" style="text-align:right;" readonly type="text" size="10" value="'.number_format($Calculo3,2).'"/></td><td>'.$row2->SIMBOLO3.'</td></tr>';
							}
					
					if($row2->PRECIO4 <= 0){
						$precio4 = '<input type="hidden" value=""/>';  
						}else{
							$formato4 = $row2->PRECIO4;
							$Calculo4 = ($formato4 * $RestaDesc) / 100;
							$precio4 ='<tr><td>'.utf8_encode ($row2->NOMBRE4).':</td>
							<td><input style="text-align:right;" readonly type="text" size="10" value="'.$formato4 = number_format($row2->PRECIO4,2).'"/>
						</td><td><input id="4" style="text-align:right;" readonly type="text" size="10" value="'.number_format($Calculo4,2).'" /></td><td>'.$row2->SIMBOLO4.'</td></tr>';
							}
					
					if($row2->PRECIO5 <= 0){
						$precio5 = '<input type="hidden" value=""/>';  
						}else{
							$formato5 = $row2->PRECIO5;
							$Calculo5 = ($formato5 * $RestaDesc) / 100;
							$precio5 ='<tr><td>'.utf8_encode ($row2->NOMBRE5).':</td>
							<td><input style="text-align:right;" readonly type="text" size="10" value="'.$formato5 = number_format($row2->PRECIO5,2).'"/>
						</td><td><input id="5" style="text-align:right;" readonly type="text" size="10" value="'.number_format($Calculo5,2).'" /></td><td>'.$row2->SIMBOLO5.'</td></tr>';
							}
					
					$articuloID[] = $row2->ARTICULO_ID;
					
				}
				/////
				$query25="SELECT NOMBRE FROM ARTICULOS WHERE ARTICULO_ID = '".$articuloID[0]."';";
				$result25=ibase_query($conn,$query25);
				if (!$result25) {
				echo "no se puede mostrar datos desde la consulta: $query25!";
				exit;
				}
				while ($row25 = ibase_fetch_object ($result25)) {  
					$nombreart[] = $row25->NOMBRE;
				} 
		
				if($articuloID[0] ==''){
					echo '<td>El art&iacute;culo indicado no existe.</td>';
					}else{
						
                                                echo "<div style='font-weight:bold'>Producto: ".utf8_encode($nombreart[0]."</div>");
						echo "<div style='font-weight:bold'><h3>Promoción: ".$PorcDesc."%<h3></div>";
						/*
                                                echo '<tr align="left">
							<th>Lista de precios</th>
							<th>Precio</th>
							<th>Precio con desc.</th>
							<th>Moneda</th>
							</tr>';
                                                 */
				echo  $precio1, $precio2, $precio3, $precio4, $precio5;
					}
				}
		   /////////////////////sin descuento /////////////////////
		   else {
		  while ($row2 = ibase_fetch_object ($result2)) {  
					
					if($row2->PRECIO1 <= 0){
						$precio1 = '<input type="hidden" value=""/>';  
						}else{
							$formato1 = $row2->PRECIO1;
							$Calculo1 = ($formato1 * $RestaDesc) / 100;
							$precio1 ='<tr><td>'.utf8_encode ($row2->NOMBRE1).'</td>
                                                                       <td>$'.$formato1 = number_format($row2->PRECIO1,2).'</td>
                                                                       <td>'.$row2->SIMBOLO1.'</td>
                                                                   </tr>';
							}
							
					if($row2->PRECIO2 <= 0){
						$precio2 = '<input type="hidden" value=""/>';  
						}else{
							$formato2 = $row2->PRECIO2;
							$Calculo2 = ($formato2 * $RestaDesc) / 100;
							$precio2 ='<tr><td>'.utf8_encode ($row2->NOMBRE2).'</td>
                                                                        <td>$'.$formato2 = number_format($row2->PRECIO2,2).'</td>
                                                                        <td>'.$row2->SIMBOLO2.'</td></tr>';
							}
					
					if($row2->PRECIO3 <= 0){
						$precio3 = '<input type="hidden" value=""/>';  
						}else{
							$formato3 = $row2->PRECIO3;
							$Calculo3 = ($formato3 * $RestaDesc) / 100;
							$precio3 ='<tr><td>'.utf8_encode ($row2->NOMBRE3).'</td>
							<td>$'.$formato3 = number_format($row2->PRECIO3,2).'
						</td><td>'.$row2->SIMBOLO3.'</td></tr>';
							}
					
					if($row2->PRECIO4 <= 0){
						$precio4 = '<input type="hidden" value=""/>';  
						}else{
							$formato4 = $row2->PRECIO4;
							$Calculo4 = ($formato4 * $RestaDesc) / 100;
							$precio4 ='<tr><td>'.utf8_encode ($row2->NOMBRE4).'</td>
							<td>$'.$formato4 = number_format($row2->PRECIO4,2).'
						</td><td>'.$row2->SIMBOLO4.'</td></tr>';
							}
					
					if($row2->PRECIO5 <= 0){
						$precio5 = '<input type="hidden" value=""/>';  
						}else{
							$formato5 = $row2->PRECIO5;
							$Calculo5 = ($formato5 * $RestaDesc) / 100;
							$precio5 ='<tr><td>'.utf8_encode ($row2->NOMBRE5).'</td>
							<td>$'.$formato5 = number_format($row2->PRECIO5,2).'
						</td><td>'.$row2->SIMBOLO5.'</td></tr>';
							}
					
					$articuloID[] = $row2->ARTICULO_ID;
					
				}
				/////
				$query25="SELECT NOMBRE FROM ARTICULOS WHERE ARTICULO_ID = '".$articuloID[0]."';";
				$result25=ibase_query($conn,$query25);
				if (!$result25) {
				echo "no se puede mostrar datos desde la consulta: $query25!";
				exit;
				}
				while ($row25 = ibase_fetch_object ($result25)) {  
					$nombreart[] = $row25->NOMBRE;
				} 
		
				if($articuloID[0] ==''){
					echo '<td>El art&iacute;culo indicado no existe.</td>';
					}else{ ?>
                                            
						
                                                <tr> <th colspan="3" align="center" > Producto: <?php echo utf8_encode($nombreart[0]); ?> </th> </tr>
                    				  <tr>
                                                    <th>Nombre de lista</th>
                                                    <th>Precio</th>
                                                    <th>Moneda</th>
                                                  </tr>  
                                        <?php         
                                            echo  $precio1, $precio2, $precio3, $precio4, $precio5;
					}
		   }
		  ////////////////////////////////////////////////////////
		  //echo'</table>';
		  }else{ ?>
			   
                                            <tr> <th colspan="3" align="center" > Ingrese la clave del artículo </th> </tr>
                    				  <tr>
                                                    <th>Nombre de lista</th>
                                                    <th>Precio</th>
                                                    <th>Moneda</th>
                                                  </tr>  
                        <?php    
			   }
			}else{
            
				$query7="SELECT ARTICULO_ID FROM CLAVES_ARTICULOS WHERE CLAVE_ARTICULO = '".$_GET['articulo']."';";
				$result7=ibase_query($conn,$query7);
				if (!$result7) {
				echo "no se puede mostrar datos desde la consulta: $query7!";
				exit;
				}
				while ($row7 = ibase_fetch_object ($result7)) {  
					$articuloID[] = $row7->ARTICULO_ID;
				} 
            
       			//echo'<div></div>';
        } ?>
        
	    
              </table>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>
      </div>
    <!-- Termina tabla -->
    
    <!-- Inicia tabla existencias -->
    <div class="row">
        <div class="col-xs-12">
          <div class="box box-danger">
            <div class="box-header">
              <h3 class="box-title">Existencias</h3>

              
            </div>
  
      <?php if($valorExi == 'S'){
			  			   
				  if($articuloID[0]!=''){ 
					   $query3="SELECT B.NOMBRE, A.EXISTENCIA, C.UNIDAD_VENTA
								FROM EXIVAL_ALMS_ART(".$articuloID[0].",'NOW','N') A
								INNER JOIN ALMACENES B ON (A.ALMACEN_ID = B.ALMACEN_ID)
								INNER JOIN ARTICULOS C ON (A.ARTICULO_ID = C.ARTICULO_ID);";
						$result3=ibase_query($conn,$query3);
						if (!$result3) {
							echo "no se puede mostrar datos desde la consulta: $query3!";
							exit;
							}
							 while ($row38 = ibase_fetch_object ($result3)) {  
								  $contadors[] =$row38->EXISTENCIA;	

								  }
							 $sumaStok = array_sum($contadors);
							 if ($sumaStok > 0){ ?>
							
								<div class="box-body table-responsive no-padding">
                                                                 <table class="table table-hover">
								  	<th>Almac&eacute;n</th>
									<th>Existencia</th>
									<th>U.Med.</th>
									
								<?php $query123="SELECT B.NOMBRE, A.EXISTENCIA, C.UNIDAD_VENTA
								FROM EXIVAL_ALMS_ART(".$articuloID[0].",'NOW','N') A
								INNER JOIN ALMACENES B ON (A.ALMACEN_ID = B.ALMACEN_ID)
								INNER JOIN ARTICULOS C ON (A.ARTICULO_ID = C.ARTICULO_ID)
								INNER JOIN MGETIQ_ALMACENES D ON (B.ALMACEN_ID = D.ALMACEN_ID);";
								$result123=ibase_query($conn,$query123);
								if (!$result123) {
									echo "no se puede mostrar datos desde la consulta: $query123!";
									exit;
									}
										  while ($row123 = ibase_fetch_object ($result123)) {  
										  $contador[] =$row123->EXISTENCIA;	
										  $umed[] = $row123 ->UNIDAD_VENTA;
										  echo utf8_encode('<tr ><td>'.$row123->NOMBRE.'</td>
										  <td>'.$formato = number_format($row123->EXISTENCIA,2).'</td>
										  <td>'.$row123->UNIDAD_VENTA.'</td>
										  </tr>');
									} 
						   echo '</table>
						   <br/>
						   <div align="center" >Existencia consolidada: '.array_sum($contador).' '.$umed[0].'</div>
						   </div>';
            					 }else{
                                                     echo '<div align="center"><h4>No se encontraron existencias en ninguno de los almacenes.</h4></div>'; 		
						 }

						   
				  }else{
					  echo '<div></div>';
					  }
				   
			}else{ ?>
       			<div style="margin-right:2%;">&nbsp;</div>
       <?php }?>
    
    <?php }else{ ?>
		
           <fieldset>
        <legend>Informaci&oacute;n</legend>
	
    El etiquetado no se ha configurado. 

         </fieldset> 
		<?php } ?>  
       
       <p>&nbsp;</p>
        <input type="hidden" id="articuloIDp" name="articuloIDp" value="<?php echo $articuloID[0]; ?>"  >
      
 </div>
                                                                
          </table>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>
      </div>
    <!-- Termina tabla existencias -->                                                                
<!--
</body>
</html>
-->
</section>  

   <?php 
   	if($_GET['Gart']!=''){
		
		$artID = $_GET['Gart'];		
		$userID = $_SESSION['usuario'];
		$obsrID = $_SESSION['observa'];
		$hoyH = date("m/d/Y H:i:s");  
		$hoy = date("m/d/Y");    
                $cta = $_GET['cta'];	
		
						$query8="INSERT INTO MGETIQ_ART_CON_PRECIO_MODIF 
(PRECIO_MODIF_ID, ARTICULO_ID, COSTO, COSTOULTCOMP, VARIACION, FECHA, DOCTO_CM_DET_ID, FECHA_CREACION, UNIDADES, CLAVE_REGISTRO, OBSERVACIONES)
 VALUES (-1, ".$artID.", 0, 0, 0, '".$hoy."', 0, '".$hoyH."', ".$cta.", '".$userID."', '".$obsrID."');";
						$result8=ibase_query($conn,$query8);
						if (!$result8) {
							echo "no se puede mostrar datos desde la consulta: $query8!";
							exit;
							}
			
		}
   ?>

<?php }else{
	echo'<SCRIPT LANGUAGE="javascript">
                 location.href = "index.php";
             </SCRIPT>';
	} ?>
  <div style="display: none">
         <button type="button" id="btnBuscar" class="btn btn-default" data-toggle="modal" data-target="#modal-default"></button>
      </div>
<?php include 'pie.php'; 